=== modified file 'bzrlib/knit.py'
--- bzrlib/knit.py	2009-06-11 20:34:56 +0000
+++ bzrlib/knit.py	2009-06-17 21:00:32 +0000
@@ -2005,8 +2005,8 @@
                 missing_keys.remove(record.key)
                 yield record
 
-        self._raw_record_map = self.vf._get_record_map_unparsed(self.keys,
-            allow_missing=True)
+        if self._raw_record_map is None:
+            raise AssertionError('_raw_record_map should have been filled')
         first = True
         for key in self.keys:
             if key in self.nonlocal_keys:

=== modified file 'bzrlib/tests/blackbox/test_branch.py'
--- bzrlib/tests/blackbox/test_branch.py	2009-06-10 03:56:49 +0000
+++ bzrlib/tests/blackbox/test_branch.py	2009-06-18 05:02:54 +0000
@@ -273,7 +273,7 @@
         # being too low. If rpc_count increases, more network roundtrips have
         # become necessary for this use case. Please do not adjust this number
         # upwards without agreement from bzr's network support maintainers.
-        self.assertLength(39, self.hpss_calls)
+        self.assertLength(38, self.hpss_calls)
 
     def test_branch_from_trivial_branch_streaming_acceptance(self):
         self.setup_smart_server_with_call_log()

